

package com.weather.modules.log.service;

import com.weather.common.page.PageData;
import com.weather.common.service.BaseService;
import com.weather.modules.log.dto.SysLogLoginDTO;
import com.weather.modules.log.entity.SysLogLoginEntity;

import java.util.List;
import java.util.Map;

/**
 * 登录日志
 *
 * @author 123
 * @since 1.0.0
 */
public interface SysLogLoginService extends BaseService<SysLogLoginEntity> {

    PageData<SysLogLoginDTO> page(Map<String, Object> params);

    List<SysLogLoginDTO> list(Map<String, Object> params);

    void save(SysLogLoginEntity entity);
}